/**
 * @file
 * Styling for the reservation module icons.
 */

/**
 * datepicker
 */

.ui-widget-content {
  border: none !important;
}

.ui-datepicker-calendar td {
  width: 14.28571429% !important;
  padding: 0px !important;
  border-color: white !important;
  border-style: solid !important;
  border-width: 1px !important;
}

.ui-datepicker-calendar td span,
.ui-datepicker-calendar td a {
  text-align: center !important;
  vertical-align: middle;
  height: 40px !important;
  line-height: 30px !important;
}

.ui-datepicker-month,
th span {
  text-transform: uppercase;
}

.ui-state-disabled {
  opacity: 0 !important;
}

.ui-state-default {
  border-style: none !important;
}

.reserved,
.waiting,
.unavailable,
.closed {
  opacity: 1 !important;
}

.opened a,
.reserved span,
.waiting span,
.unavailable span,
.closed span {
  background-image: none !important;
  color: #fff !important;
}

.opened a {
  background-color: #a4c414 !important;
}

.reserved span {
  background-color: #c60b0b !important;
}

.waiting span,
.waiting a {
  background-color: #da9800 !important;
}

.unavailable span {
  background-color: #c60b0b !important; /* #5083ff */
}

.closed span {
  background-color: #cacaca !important;
}

.ui-widget-header,
.ui-state-hover {
  border: none !important;
  background: none !important;
}

.ui-datepicker-current-day a {
  color: white;
  background-color: #555 !important;
}

.ui-datepicker-today a.ui-state-highlight,
.ui-datepicker-current-day a.ui-state-highlight,
.ui-datepicker-current-day a.ui-state-active {
  color: white;
}

.ui-datepicker-prev-hover {
  top: 2px !important;
  left: 2px !important;
}

.ui-datepicker-next-hover {
  top: 2px !important;
  right: 2px !important;
}

.ui-datepicker-prev span {
  background-image: url(../icons/left-arrow.svg) !important;
  background-position: 0px 0px !important;
}

.ui-datepicker-next span {
  background-image: url(../icons/right-arrow.svg) !important;
  background-position: 0px 0px !important;
}

.ui-datepicker-header {
  border-bottom: 4px solid #a4c414 !important;
  border-top-left-radius: 0px !important;
  border-top-right-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
}

.legendDiv {
  width: 150px;
  display: inline-block;
}

#legendBloc {
  width: 400px;
}

#legendBloc p {
  display: inline-block;
  vertical-align: top;
  margin: 3px 0px 0px 10px;
}

.block-reservation .form-submit,
#reservation-horaire-wrapper,
#reservation-nb-accompagnants-wrapper,
#block-messageloireservation .field--type-text-with-summary {
  display: none;
}

#needHelp {
  color: black;
  text-decoration: underline;
}

#needHelp:hover {
  color: #a4c414;
}

#block-reservation #edit-submit,
#edit-actions #edit-submit {
  border-color: #a4c414;
  background-color: #a4c414;
  text-transform: uppercase;
  border-radius: 0px;
}

.ui-datepicker-prev {
  cursor: pointer !important;
}

.ui-datepicker-next {
  cursor: pointer !important;
}
